# Uses of Class
javax.naming.InvalidNameException

Packages that use InvalidNameException
Package
Description
com.sun.security.auth
Provides implementations of `Principal`.
javax.naming
Provides the classes and interfaces for accessing naming services.
javax.naming.ldap
Provides support for LDAPv3 extended operations and controls.

## Uses of InvalidNameException in com.sun.security.auth

Constructors in com.sun.security.auth that throw InvalidNameException
Modifier
Constructor
Description
``
`LdapPrincipal​(String name)`
Creates an LDAP principal.

## Uses of InvalidNameException in javax.naming

Methods in javax.naming that throw InvalidNameException
Modifier and Type
Method
Description
`Name`
CompositeName.`add​(int posn, String comp)`
Adds a single component at a specified position within this composite name.
`Name`
CompositeName.`add​(String comp)`
Adds a single component to the end of this composite name.
`Name`
CompoundName.`add​(int posn, String comp)`
Adds a single component at a specified position within this compound name.
`Name`
CompoundName.`add​(String comp)`
Adds a single component to the end of this compound name.
`Name`
Name.`add​(int posn, String comp)`
Adds a single component at a specified position within this name.
`Name`
Name.`add​(String comp)`
Adds a single component to the end of this name.
`Name`
CompositeName.`addAll​(int posn, Name n)`
Adds the components of a composite name -- in order -- at a specified position within this composite name.
`Name`
CompositeName.`addAll​(Name suffix)`
Adds the components of a composite name -- in order -- to the end of this composite name.
`Name`
CompoundName.`addAll​(int posn, Name n)`
Adds the components of a compound name -- in order -- at a specified position within this compound name.
`Name`
CompoundName.`addAll​(Name suffix)`
Adds the components of a compound name -- in order -- to the end of this compound name.
`Name`
Name.`addAll​(int posn, Name n)`
Adds the components of a name -- in order -- at a specified position within this name.
`Name`
Name.`addAll​(Name suffix)`
Adds the components of a name -- in order -- to the end of this name.
`Object`
CompositeName.`remove​(int posn)`
Deletes a component from this composite name.
`Object`
CompoundName.`remove​(int posn)`
Deletes a component from this compound name.
`Object`
Name.`remove​(int posn)`
Removes a component from this name.
Constructors in javax.naming that throw InvalidNameException
Modifier
Constructor
Description
``
`CompositeName​(String n)`
Constructs a new composite name instance by parsing the string n using the composite name syntax (left-to-right, slash separated).
``
`CompoundName​(String n, Properties syntax)`
Constructs a new compound name instance by parsing the string n using the syntax specified by the syntax properties supplied.

## Uses of InvalidNameException in javax.naming.ldap

Methods in javax.naming.ldap that throw InvalidNameException
Modifier and Type
Method
Description
`Name`
LdapName.`add​(int posn, String comp)`
Adds a single component at a specified position within this LDAP name.
`Name`
LdapName.`add​(String comp)`
Adds a single component to the end of this LDAP name.
`Name`
LdapName.`addAll​(int posn, Name suffix)`
Adds the components of a name -- in order -- at a specified position within this name.
`Name`
LdapName.`addAll​(Name suffix)`
Adds the components of a name -- in order -- to the end of this name.
`Object`
LdapName.`remove​(int posn)`
Removes a component from this LDAP name.
Constructors in javax.naming.ldap that throw InvalidNameException
Modifier
Constructor
Description
``
`LdapName​(String name)`
Constructs an LDAP name from the given distinguished name.
``
`Rdn​(String rdnString)`
Constructs an Rdn from the given string.
``
`Rdn​(String type, Object value)`
Constructs an Rdn from the given attribute type and value.
``
`Rdn​(Attributes attrSet)`
Constructs an Rdn from the given attribute set.